Subject: linux-next: manual merge of the i2c tree with the i2c-host-fixes tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 15 Aug 2023 11:57:35 +1000

Hi all,

Today's linux-next merge of the i2c tree got a conflict in:

  drivers/i2c/busses/i2c-hisi.c

between commit:

  9a5adaf694f5 ("i2c: hisi: Only handle the interrupt of the driver's transfer")

from the i2c-host-fixes tree and commit:

  fff67c1b17ee ("i2c: hisi: Only handle the interrupt of the driver's transfer")

from the i2c tree.

I fixed it up (I used the latter) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell